<template>
  <div>
    <TheHeader></TheHeader>
    <nuxt/>
    <TheFooter></TheFooter>
  </div>
</template>
<script>
  import TheHeader from '~/components/common/header/';
  import TheFooter from '~/components/common/footer/';

  //import eruda from 'eruda';


  if ('serviceWorker' in navigator) {
    navigator.serviceWorker.register('./sw.js')
      .then(() => navigator.serviceWorker.ready.then((worker) => {
        worker.sync.register('syncdata');
      }))
      .catch((err) => console.log(err));
  }
  export default {
    name: 'DefaultLayout',
    components: {
      TheHeader,
      TheFooter
    },
    mounted() {
      // eruda.init();
    }
  }
</script>
